public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/drb/
Date: Tue,  7 Nov 2023 05:55:20 +0000 (UTC)	[thread overview]
Message-ID: <1699336265.5d68dee43441fdb566210d10856dfe7a8ed56b9b.graaff@gentoo> (raw)

commit:     5d68dee43441fdb566210d10856dfe7a8ed56b9b
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Nov  7 05:51:05 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Nov  7 05:51:05 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d68dee4

dev-ruby/drb: add 2.2.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/drb/Manifest         |  1 +
 dev-ruby/drb/drb-2.2.0.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/dev-ruby/drb/Manifest b/dev-ruby/drb/Manifest
index a8fcbde1c57c..cb51ffd8ffee 100644
--- a/dev-ruby/drb/Manifest
+++ b/dev-ruby/drb/Manifest
@@ -1 +1,2 @@
 DIST drb-2.1.1.tar.gz 46269 BLAKE2B 91bba196afcf481c34aed1df3569ec122ba42da34e6eacdb19c245e7c76f63594152b8294d383118bd539720f89f9ca3a6488047a318dd7369aa11223e6c2f4e SHA512 e524c76f50f391256a40ff451f1f1f968babdc12a36426cbc9b127eaa1b4e7c0f4ff367146d32ec4cba088379ea23c06547cecf32c77c90d61681ecf04c999c5
+DIST drb-2.2.0.tar.gz 36203 BLAKE2B 5c60cd5dd8ab26434046435d98e203c7a50c6160edeb5373527140df8a26c7494a05a00b7faff11f1a8cecbeb963736e87adc1a9967e78b6c81b47d5c234eab3 SHA512 763f1ab8645d0bf168fc56bbde85fd4992405530d1764f49e18f2529713b3b2d62cc314b65e59472c11bbbb964e5133fe463b1f266ffde35f79b836a527c864a

diff --git a/dev-ruby/drb/drb-2.2.0.ebuild b/dev-ruby/drb/drb-2.2.0.ebuild
new file mode 100644
index 000000000000..d3973552ead8
--- /dev/null
+++ b/dev-ruby/drb/drb-2.2.0.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="drb.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Distributed object system for Ruby"
+HOMEPAGE="https://github.com/ruby/drb"
+SRC_URI="https://github.com/ruby/drb/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE=""
+
+ruby_add_rdepend "dev-ruby/ruby2_keywords"
+
+all_ruby_prepare() {
+	sed -e 's:_relative ": "./:' \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}


             reply	other threads:[~2023-11-07  5:55 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-07  5:55 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-30 10:31 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/drb/ Hans de Graaff
2024-12-29  9:06 Hans de Graaff
2024-12-25  9:01 Hans de Graaff
2024-11-02 11:45 Arthur Zamarin
2024-10-30 15:46 Arthur Zamarin
2024-10-30 14:41 Sam James
2024-10-30 11:07 Sam James
2024-10-30 11:07 Sam James
2024-10-30 11:07 Sam James
2024-08-25 12:04 Andreas K. Hüttel
2024-06-02  9:59 Hans de Graaff
2024-03-01  6:21 Hans de Graaff
2023-12-28  6:56 Hans de Graaff
2023-12-28  6:56 Hans de Graaff
2023-10-07  7:45 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1699336265.5d68dee43441fdb566210d10856dfe7a8ed56b9b.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox